# Uses of Class
org.jmol.smiles.SmilesBond

Packages that use SmilesBond
Package
Description
org.jmol.smiles
Jmol SMILES, Jmol SMARTS, Jmol bioSMILES, and Jmol bioSMARTS

## Uses of SmilesBond in org.jmol.smiles

Methods in org.jmol.smiles that return SmilesBond
Modifier and Type
Method
Description
`SmilesBond`
SmilesAtom.`getBond(int number)`
Returns the bond at index `number`.
`SmilesBond`
SmilesBond.`setPrimitive(int i)`
Methods in org.jmol.smiles with parameters of type SmilesBond
Modifier and Type
Method
Description
`void`
SmilesAtom.`setBonds(SmilesBond[] bonds)`